Creating middle center justisifed mtext

Discussion in 'AutoCAD' started by GLC, Apr 12, 2004.

  1. GLC

    GLC Guest

    Is there a way to create MTEXT and make it middle center justified at
    creation time? I comp'd the location of my mtext insertion point, created
    the text and then chnage the justification to middle center. The problem is
    the text string is no longer inserted at the centroid of my figure. Thanks,
    GLC
     
    GLC, Apr 12, 2004
    #1
  2. GLC

    Jeff Mishler Guest

    set the "textalignmentpoint" equal to the insertion point after you set
    the justification.
     
    Jeff Mishler, Apr 12, 2004
    #2
  3. GLC

    Jackrabbit Guest

    [pre]
    { Update the drawing title. }

    InsertPoint := VarArrayCreate([X,Z],varDouble);
    InsertPoint[X] := 50.8;
    InsertPoint[y] := 11.43;
    InsertPoint[Z] := 0.0;

    objMText := ThisDrawing.PaperSpace.AddMText(InsertPoint, 0.0, Title);
    objMText.Height := TITLE_TEXT_HEIGHT;
    objMText.AttachmentInsertPoint := acAttachmentInsertPointMiddleCenter;
    objMText.InsertionInsertPoint := InsertPoint;
    objMText.Layer := 'FORMAT';
    [/pre]
     
    Jackrabbit, Apr 12, 2004
    #3
  4. GLC

    GLC Guest

    Thanks! I was missing that one step where I set the insertion point
    property.

    GLC
     
    GLC, Apr 12, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.